Bug 192622 - pth: useless debuginfo package
pth: useless debuginfo package
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pth (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Schwendt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-21 18:23 EDT by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-22 15:17:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-05-21 18:23:57 EDT
If configured without --enable-debug, pth's build system seems to remove -g from
our $RPM_OPT_FLAGS, and no sane debuginfo package is created.

But if configuring with --enable-debug, *only* the static lib is created.

Also, partially off topic, I happened to notice that the "checking for stack
setup via sigstack" configure test dumps core:

configure:24658: checking for stack setup via sigstack
configure:24815: gcc -o conftest -O2 -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexcep
tions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -DTEST_sig
stack   conftest.c -lnsl  >&5
conftest.c: In function 'main':
conftest.c:163: warning: 'sigstack' is deprecated (declared at /usr/include/sign
al.h:358)
conftest.c:199: warning: format '%d' expects type 'int', but argument 5 has type
 'long unsigned int'
conftest.c:199: warning: format '%d' expects type 'int', but argument 6 has type
 'long unsigned int'
conftest.c:207: warning: format '%d' expects type 'int', but argument 5 has type
 'long unsigned int'
/tmp/ccxtahGE.o: In function `main':
conftest.c:(.text+0xa0): warning: the `sigstack' function is dangerous.  `sigalt
stack' should be used instead.
configure:24818: $? = 0
configure:24820: ./conftest
./configure: line 24821:  9795 Segmentation fault      (core dumped) ./conftest$
ac_exeext


This is an FC5 x86_64 box.

Note You need to log in before you can comment on or make changes to this bug.